Workflow Approval Procedure API
Get Workflow Approval Procedure
Get a specific approval procedure by ID for a workflow.
GET
/
v2
/
workflows
/
{workflow_id}
/
approval-procedures
/
{id}
Get Workflow Approval Procedure
curl --request GET \
--url https://public.api.serval.com/v2/workflows/{workflow_id}/approval-procedures/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://public.api.serval.com/v2/workflows/{workflow_id}/approval-procedures/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://public.api.serval.com/v2/workflows/{workflow_id}/approval-procedures/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"workflowId": "<string>",
"steps": [
{
"id": "<string>",
"allowSelfApproval": true,
"approvers": [
{
"appOwner": {},
"notify": true
}
],
"customWorkflow": {
"workflowId": "<string>"
},
"approverJustificationMode": "<string>"
}
]
}
}{
"message": "<string>",
"detail": {
"type": "<string>",
"value": "<string>",
"debug": {}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the workflow.
The ID of the approval procedure.
Response
Success
The approval procedure.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Get Workflow Approval Procedure

